<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2021 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @author     Malin Lorch <mlorch@liquidweb.com>
 * @date       Aug 03, 2021
 */

/**
 * @package InterWorx
 * @subpackage
 */
class Form_AcronisBackups_Siteworx_RecoverDatabasesAndDirectories extends Form_AcronisBackups
{
    /**
     * Initialize.
     */
    protected function _initialize()
    {
        parent::_initialize();

        $InputDirectories = new Input_String(self::INPUT_MULTI_DIR);
        $InputDirectories->setRequired(false);
        $InputDirectories->setMultipleAllowed(true);
        $this->addInput($InputDirectories);

        $InputRecoverAndDelete = new Input_Boolean(self::INPUT_DELETE_FILES);
        $InputRecoverAndDelete->setRequired(false);
        $this->addInput($InputRecoverAndDelete);

        $InputDatabases = new Input_String(self::INPUT_DBS);
        $InputDatabases->setMultipleAllowed(true);
        $InputDatabases->setRequired(false);

        $this->addInput($InputDatabases);
    }

    /**
     * Get directories.
     *
     * @return array
     */
    public function getDatabases()
    {
        return $this->getValue(self::INPUT_DBS);
    }

    /**
     * @return string
     */
    public function getUnixUser()
    {
        return $this->getValue(self::INPUT_USER);
    }

    /**
     * @return array
     */
    public function getDirectories()
    {
        return $this->getValue(self::INPUT_MULTI_DIR);
    }


    /**
     * Check if delete newer files is selected.
     */
    public function deleteRequested()
    {
        return $this->getValue(self::INPUT_DELETE_FILES);
    }
}
